Warlords specialize in polearms or pole-type weapons. He is weaker than a Gladiator during 1 on 1 combat, but can give great damages fighting several opponents at once. So he is advantageous during battle against a number of opponents. He shines during Siege Battle.
He uses skills which use range attack with polearms or pole-type weapons.
To be a Warlord, your level must be over 40 and you need to collect the Mark of the Challenger, the Mark of Trust, and the Mark of the Champion.
Ask about marks.
Return